/*(function(window) {

    'use strict';

    var lastTime = 0;
    var prefixes = 'webkit moz ms o'.split(' ');
    // get unprefixed rAF and cAF, if present
    var requestAnimationFrame = window.requestAnimationFrame;
    var cancelAnimationFrame = window.cancelAnimationFrame;
    // loop through vendor prefixes and get prefixed rAF and cAF
    var prefix;
    for (var i = 0; i < prefixes.length; i++) {
        if (requestAnimationFrame && cancelAnimationFrame) {
            break;
        }
        prefix = prefixes[i];
        requestAnimationFrame = requestAnimationFrame || window[ prefix + 'RequestAnimationFrame' ];
        cancelAnimationFrame = cancelAnimationFrame || window[ prefix + 'CancelAnimationFrame' ] ||
                window[ prefix + 'CancelRequestAnimationFrame' ];
    }

    // fallback to setTimeout and clearTimeout if either request/cancel is not supported
    if (!requestAnimationFrame || !cancelAnimationFrame) {
        requestAnimationFrame = function(callback, element) {
            var currTime = new Date().getTime();
            var timeToCall = Math.max(0, 16 - (currTime - lastTime));
            var id = window.setTimeout(function() {
                callback(currTime + timeToCall);
            }, timeToCall);
            lastTime = currTime + timeToCall;
            return id;
        };

        cancelAnimationFrame = function(id) {
            window.clearTimeout(id);
        };
    }

    // put in global namespace
    window.requestAnimationFrame = requestAnimationFrame;
    window.cancelAnimationFrame = cancelAnimationFrame;

})(window);


function tick(fn, fps) {
    var now;
    var delta;
    var interval;
    var then = new Date().getTime();

    var frames;
    var oldtime = 0;

    return (function loop(time) {
        requestAnimationFrame(loop);

        interval = 1000 / (this.fps || fps || 60);
        now = new Date().getTime();
        delta = now - then;

        if (delta > interval) {
            then = now - (delta % interval);
            frames = 1000 / (time - oldtime);
            oldtime = time;
            fn(frames);
        }
    }(0));
}

var pos = 0;
var dir = 1;
var speed = 1;
tick(function(fps) {
    pos += (dir * speed);
    $('#a').css({
        'top': -pos + 'px',
        'width': 100 - pos + '%'
    });
    if($('#a').position().top < 0) {
        console.log('aa');
    }
    console.log('fps');
}, 1);
*/

$(function() {
    $caption = $('#caption'),
            $caption_title = $('#caption h2'),
            $caption_text = $('#caption p'),
            $('#slideshow').crossSlide({
        fade: 1
    }, [
        {
            src: 'img/step1_900_wh.jpg',
            alt: 'I. OČISTEC, Číše musí být vždy dokonale čistá.',
            from: '0% 0% 0.8x',
            to: '80% 20% 1x',
            time: 5
        }, {
            src: 'img/step2_900_wh.jpg',
            alt: 'II. OBĚTOVÁNÍ, Každá kapka musí být naprosto čerstvá.',
            from: '40% 20% 1x',
            to: '0% 0% 0.8x',
            time: 5
        }, {
            src: 'img/step3_900_wh.jpg',
            alt: 'III. ZAČÁTEK MAGIE A ALCHYMIE, Držte sklenici pod úhlem 45 stupňů.',
            from: '0% 0% 0.8x',
            to: '10% 90% 1x',
            time: 5
        }, {
            src: 'img/step4_900_wh.jpg',
            alt: 'IV. PĚNA, Správná pěna chrání pivo před vzduchem a tedy před ztrátou chuti.',
            from: '20% 10% 1x',
            to: '0% 00% 0.8x',
            time: 5
        }, {
            src: 'img/step5_900_wh.jpg',
            alt: 'V. ZAKONČENÍ, Po uzavření pípy dejte sklenici stranou.',
            from: '0% 0% 0.8x',
            to: '50% 10% 1x',
            time: 5
        }, {
            src: 'img/step6_900_wh.jpg',
            alt: 'VI. SETNUTÍ, Přetékající pěnu jemně setněte nožem.',
            from: '100% 100% 1x',
            to: '0% 0% 0.8x',
            time: 5
        }, {
            src: 'img/step7_900_wh.jpg',
            alt: 'VII. SOUD, Správná pěna vysoká přibližně 2 prsty (3 cm) chrání pivo před zvětráním.',
            from: '0% 0% 0.8x',
            to: '20% 40% 1x',
            time: 5
        }, {
            src: 'img/step8_900_wh.jpg',
            alt: 'VIII. OPLACHOVÁNÍ, Opláchněte spodek a strany sklenice.',
            from: '20% 20% 1x',
            to: '0% 0% 0.8x',
            time: 5
        }, {
            src: 'img/step9_900_wh.jpg',
            alt: 'IX. SERVÍROVÁNÍ, Doplňte originální podtácek a rozetku.',
            from: '0% 0% 0.8x',
            to: '20% 80% 1x',
            time: 5
        }
    ], function(idx, img, idxOut, imgOut) {
        if (idxOut === undefined) {
            var t = img.alt.split(',');
            $caption_title.text(t[0]);
            $caption_text.text(t[1]);
            $caption.animate({opacity: 1});
        } else {
            $caption.animate({opacity: 0});
        }
    });
});
/* left top */
/*$(function() {
    $caption = $('#caption'),
            $caption_title = $('#caption h2'),
            $caption_text = $('#caption p'),
            $('#slideshow').crossSlide({
        fade: 1
    }, [
        {
            src: 'img/step1_900.jpg',
            alt: 'I. OČISTEC, Číše musí být vždy dokonale čistá.',
            from: '0% 0% 0.8x',
            to: '100% 0% 1x',
            time: 7
        }, {
            src: 'img/step2_900.jpg',
            alt: 'II. OBĚTOVÁNÍ, Každá kapka musí být naprosto čerstvá.',
            from: '30% 70% 1x',
            to: '0% 0% 0.8x',
            time: 7
        }, {
            src: 'img/step3_900.jpg',
            alt: 'III. ZAČÁTEK MAGIE A ALCHYMIE, Držte sklenici pod úhlem 45 stupňů.',
            from: '0% 0% 0.8x',
            to: '80% 0% 1x',
            time: 7
        }, {
            src: 'img/step4_900.jpg',
            alt: 'IV. PĚNA, Správná pěna chrání pivo před vzduchem a tedy před ztrátou chuti.',
            from: '90% 50% 1x',
            to: '0% 0% 0.8x',
            time: 7
        }, {
            src: 'img/step5_900.jpg',
            alt: 'V. ZAKONČENÍ, Po uzavření pípy dejte sklenici stranou.',
            from: '0% 0% 0.8x',
            to: '100% 80% 1x',
            time: 7
        }, {
            src: 'img/step6_900.jpg',
            alt: 'VI. SETNUTÍ, Přetékající pěnu jemně setněte nožem.',
            from: '100% 0% 1x',
            to: '0% 0% 0.8x',
            time: 7
        }, {
            src: 'img/step7_900.jpg',
            alt: 'VII. SOUD, Správná pěna vysoká přibližně 2 prsty (3 cm) chrání pivo před zvětráním.',
            from: '0% 0% 0.8x',
            to: '70% 20% 1x',
            time: 7
        }, {
            src: 'img/step8_900.jpg',
            alt: 'VIII. OPLACHOVÁNÍ, Opláchněte spodek a strany sklenice.',
            from: '70% 40% 1x',
            to: '0% 0% 0.8x',
            time: 7
        }, {
            src: 'img/step9_900.jpg',
            alt: 'IX. SERVÍROVÁNÍ, Doplňte originální podtácek a rozetku.',
            from: '0% 0% 0.8x',
            to: '100% 100% 1x',
            time: 7
        }
    ], function(idx, img, idxOut, imgOut) {
        if (idxOut === undefined) {
            var t = img.alt.split(',');
            $caption_title.text(t[0]);
            $caption_text.text(t[1]);
            $caption.animate({opacity: 1});
        } else {
            $caption.animate({opacity: 0});
        }
    });
});
*/
/* test */

/*var slideshowImg = [{
        src: 'http://storage.socialbakers.com/staropramen/chalice/kenburn/video/step_1.jpg',
        startState: {},
        zoom: '2',
        move: {top: '150px'},
        time: 7
    }];
*/
/*$(document).ready(function() {
    var slideshow = $('#slideshow');

    $.each(slideshowImg, function(index, value) {
        parse(this, index, value);
    });

    function parse(obj, i) {
        var img = $('<img src="' + obj['src'] + '"/>').attr('id', 'slide-' + i);
        var topVal, leftVal = null;

        img.appendTo(slideshow);

        if (obj.hasOwnProperty('startState')) {
            img.css(obj['startState']);
            topVal = obj['startState'].top;
            leftVal = obj['startState'].left;
        } else {
            topVal = img.css(top);
            leftVal = img.css(left);
        }

        if (!obj.hasOwnProperty('animate')) {
            obj['animate'] = {};
        }

        if (obj.hasOwnProperty('zoom')) {
            $.extend(obj['animate'], {
                width: Math.floor(img.width() * obj.zoom) + 'px',
                height: Math.floor(img.height() * obj.zoom) + 'px'
            });
            delete obj['zoom'];
        }
        if (obj.hasOwnProperty('move')) {

            if (obj.move.hasOwnProperty('top')) {
                if (obj.move['top'].indexOf('%') !== -1) {
                    topVal = Math.floor(slideshow.height() * (parseInt(obj.move['top']) / 100)) + 'px';
                } else {
                    topVal = Math.floor(parseInt(img.css('top')) + parseInt(obj.move['top'])) + 'px';
                }
            }

            if (obj.move.hasOwnProperty('left')) {
                if (obj.move['left'].indexOf('%') !== -1) {
                    leftVal = Math.floor(slideshow.height() * (parseInt(obj.move['left']) / 100)) + 'px';
                } else {
                    leftVal = Math.floor(parseInt(img.css('left')) + parseInt(obj.move['left'])) + 'px';
                }
            }

            $.extend(obj['animate'], {
                top: topVal,
                left: leftVal
            });
            delete obj['move'];
        }
    }

    // run slideshow
    var counter = slideshowImg.length - 1;
    (function() {
        play();
    })();

    function play() {
        var obj = slideshowImg[counter];
        $('#slide-' + counter).animate(obj.animate, obj.time * 1000, function() {
            console.log('done');
            if(counter < slideshowImg.length)
            counter++;
            play();
        });
    }



    $('button#start').click(function() {
        var results = $('p#results').html("Animating..."),
                button = $(this).attr('disabled', 'disabled');

        // CSS3 Container
        $('.target-css').animate({left: "+=200px", width: 320}, 1500, function() {
            results.html('first callback() fired, reversing...');
            $(this).animate({left: "-=200px", width: 280}, 1500, function() {
                results.html("second callback() fired");
                button.removeAttr('disabled');
            });
        });


        // slideshow
        var slideshow = $('#slideshow');
        console.log(slideshowImg[0].animate);
        $('#slide-0').animate(slideshowImg[0].animate, slideshowImg[0].time * 1000, function() {
            console.log('done');
        });
    });
});*/